#include "document.h"

typedef enum config_types { 
	C_DEBUG, 
	C_CPL,
	C_LPP,
	C_TOP_MARGIN,
	C_LEFT_MARGIN,
	C_FONT_SIZE,
	C_FONT_FACE,
	C_PAGE_MODE,
	C_UNKNOWN
} config_types;

typedef struct config_thingy
{
	char			*keyword;
	config_types	val;
} config_thingy;

/* Gotta match */
#define TOTAL_KEYWORDS		8
config_thingy	conflist[] = {
	{ "debug",				C_DEBUG },
	{ "chars_per_line",		C_CPL },
	{ "lines_per_page",		C_LPP },
	{ "top_margin",			C_TOP_MARGIN },
	{ "left_margin",		C_LEFT_MARGIN },
	{ "font_size",			C_FONT_SIZE },
	{ "font_face",			C_FONT_FACE },
	{ "page_mode",			C_PAGE_MODE }
};

config_types	resolve_keyword( const char *kw );
int				parse_config( document *d, const char *config_file );
